Bug 97236 - LOKDocView: set_part should automatically refresh the view
Summary: LOKDocView: set_part should automatically refresh the view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.2 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-18 19:20 UTC by Pranav Kant
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pranav Kant 2016-01-18 19:20:00 UTC
Currently, one needs to call reset_view after calling set_part to refresh the view, and show the next part of the document. Ideally, set_part should do it internally.
Comment 1 Buovjaga 2016-01-25 12:00:33 UTC
I'm setting this to NEW as no one will confirm this anyway..
Comment 2 Commit Notification 2016-02-21 16:47:40 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbd7ce16d621bf992a763317174c85a5d9f3b5ea

tdf#97236: Refresh the view when part is changed

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.